task fastqc {
	File read
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		nt=$(nproc)
		fastqc -t $nt -o ./ ${read}
	>>>

	runtime {
		docker:docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File fastqc_html = sub(basename(read), "\\.(fastq|fq)\\.gz$", "_fastqc.html")
		File fastqc_zip = sub(basename(read), "\\.(fastq|fq)\\.gz$", "_fastqc.zip")
	}
}
